#!/bin/sh
#

case "$1" in
    start)
#        mkdir /tmp/dev
#        mount -o bind /tmp/dev /dev
#        mkdir /dev/pts /dev/shm
#        mount -t devpts devpts /dev/pts
#        mount -t tmpfs tmpfs /dev/shm

        echo -n "Populating /dev using udev: "
        echo -e '\000\000\000\000' > /proc/sys/kernel/hotplug
        /sbin/udevd -d || (echo "FAIL" && exit 1)
        /sbin/udevstart || (echo "FAIL" && exit 1)
        ln -s /proc/self/fd /dev/fd

#        MYSYSID=`/sbin/hwconfigManager h -1 SYSID | grep "^VALUE:" | sed 's/.*: \(.*\)/\1/'`
##	MYSYSID=`/sbin/hwconfigManager p -1 SYSID | grep "^00000000:" | sed 's/.*: \+\([a-fA-F0-9]\{2\}\) \+\([a-fA-F0-9]\{2\}\) \+\([a-fA-F0-9]\{2\}\) \+\([a-fA-F0-9]\{2\}\).*/\4\3\2\1/'`

	# Workaround STB820 Rev.1 GPIO12=INT_LAN issue
	GPIO10=`cat /dev/gpio10` # 0 - Elecard, 1 - NXP
        GPIO15=`cat /dev/gpio15` # 0 - Elecard Rev.1, 1 - Elecard Rev.2
	GPIO5=`cat /dev/gpio5 `  # 0 - Elecard Rev.1-2, 1 - Elecard Rev.3
	if [ "$GPIO10" == "0" -a "$GPIO15" == "0" ]; then	
            echo -n "FIX GPIO13 "
            rm -f /dev/standby
            ln -s /dev/gpio13 /dev/standby
        else
            echo -n "RESTORE GPIO12 "
            rm -f /dev/standby
            ln -s /dev/gpio12 /dev/standby
        fi

	if [ "$GPIO10" == "0" -a "$GPIO5" == "1" ]; then
	    echo -n "Rev.3 "
	    touch /var/tmp/rev3
	else
	    rm -f /var/tmp/rev3
	fi

        echo "done"
        ;;
    stop)
        /sbin/udevcontrol stop_exec_queue
        killall udevd
        ;;
    *)
        echo "Usage: $0 {start|stop}"
        exit 1
        ;;
esac


exit 0
